#include <string.h>
#include <stdio.h>

int main(int argc, char* argv[])
{
  FILE* fi;
  FILE* fo;
  int cnt, bpl, b;
  unsigned char data, i;

  if (argc == 4) {
	fi = fopen(argv[1], "r");
	fo = fopen(argv[2], "w");
    bpl = atoi(argv[3]);
	
	printf("\nConverting RAW data to bit-vector of size %d\n", bpl);
	
	cnt = 0;     
    b = 0;
	
	while (feof(fi) == 0) {
        fread(&data, 1, 1, fi);
		for (i = 0; i < 8; i++) {
	        fprintf(fo, "%d", (data >> (7-i)) & 1);
			b++;
            if (b == bpl) {
				fprintf(fo, "\n");
				b = 0;
			}
		}
/*	    if (cnt > 10000) {
	    	cnt = 0;
	    	printf(".");
	    }*/
	}
	
//	printf("done\n\n");

	fclose(fi);
	fclose(fo);
  } else
  	printf("Usage: bin2bit <file.bin> <file.bit> <bits/line>\n\n");   

    return 0;
}

