-- File>>> PCK_GENERATORS.vhd
--
-- Date:   Wed Feb 11 19:49:51 MET 2004
-- Author: d00lw
--
-- Revision history:
--
-- $Source$
-- $Revision$
-- $Log$
--
--


library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
--synopsys translate_off
use IEEE.VITAL_timing.all;
use IEEE.VITAL_primitives.all;
--synopsys translate_on

library STVLIB;
use STVLIB.ST_TIMING.all;

package PCK_GENERATORS is


component SPS2_1024x8m8
   port (
	Q                         : OUT   std_logic_vector(7 DOWNTO 0);
	D                         : IN    std_logic_vector(7 DOWNTO 0);
	A                         : IN    std_logic_vector(9 DOWNTO 0);
	CK                        : IN    std_logic;
	CSN                       : IN    std_logic;
	WEN                       : IN    std_logic;
	OEN                       : IN    std_logic 
             );
end component;


end PCK_GENERATORS;
