library IEEE;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

package uart_sylt_pck is
           
  type uart_ctrl_in_type is record
    data    : std_logic_vector(7 downto 0);
    send    : std_logic;
    ack_rcv : std_logic;
  end record;

  type uart_ctrl_out_type is record
    data    : std_logic_vector(7 downto 0);
    rxready : std_logic;
    txempty : std_logic; 
  end record;

end;
