vsim work.cfg_controller

do postsim_wave.do

force -freeze sim:/tb_controller/button_play 0 0
force -freeze sim:/tb_controller/button_stop 0 0
force -freeze sim:/tb_controller/button_prev 0 0
force -freeze sim:/tb_controller/button_next 0 0

echo "Warm-up, dry run."
run 40000000
cp debug/lcd.txt debug/lcd_step1.txt

echo "Forcing press play button"
force -freeze sim:/tb_controller/button_play 1 0
run 4000000
echo "Forcing release play button"
force -freeze sim:/tb_controller/button_play 0 0
echo "Running several iterations again"
run 100000000
cp debug/lcd.txt debug/lcd_step2.txt

echo "Forcing press next button"
force -freeze sim:/tb_controller/button_next 1 0
run 4000000
echo "Forcing release next button"
force -freeze sim:/tb_controller/button_next 0 0
echo "Running several iterations again"
run 100000000
cp debug/lcd.txt debug/lcd_step3.txt

echo "Forcing press play button"
force -freeze sim:/tb_controller/button_play 1 0
run 4000000
echo "Forcing release play button"
force -freeze sim:/tb_controller/button_play 0 0
echo "Running several iterations again"
run 4000000
cp debug/lcd.txt debug/lcd_step4.txt

echo "Forcing press prev button"
force -freeze sim:/tb_controller/button_prev 1 0
run 4000000
echo "Forcing release prev button"
force -freeze sim:/tb_controller/button_prev 0 0
echo "Running several iterations again"
run 4000000
cp debug/lcd.txt debug/lcd_step5.txt

echo "Forcing press prev button"
force -freeze sim:/tb_controller/button_prev 1 0
run 4000000
echo "Forcing release prev button"
force -freeze sim:/tb_controller/button_prev 0 0
echo "Running several iterations again"
run 4000000
cp debug/lcd.txt debug/lcd_step6.txt

echo "Forcing press play button"
force -freeze sim:/tb_controller/button_play 1 0
run 4000000
echo "Forcing release play button"
force -freeze sim:/tb_controller/button_play 0 0
echo "Running several iterations again"
run 10000000
cp debug/lcd.txt debug/lcd_step7.txt

echo "Forcing press stop button"
force -freeze sim:/tb_controller/button_stop 1 0
run 4000000
echo "Forcing release stop button"
force -freeze sim:/tb_controller/button_stop 0 0
echo "Running several iterations again"
run 4000000
cp debug/lcd.txt debug/lcd_step8.txt

echo "Forcing press play button"
force -freeze sim:/tb_controller/button_play 1 0
run 4000000
echo "Forcing release play button"
force -freeze sim:/tb_controller/button_play 0 0
echo "Running several iterations again"
run 10000000
cp debug/lcd.txt debug/lcd_step9.txt
