#include <string.h>
#include <stdio.h>

int main(int argc, char* argv[])
{
  FILE* fi;
  FILE* fo;
  int cnt, bpl, b;
  unsigned char data, i, ch;

  if (argc == 3) {
	fi = fopen(argv[1], "r");
	fo = fopen(argv[2], "wb");
	
	printf("\nConverting bit-vector to RAW data\n");
	
	cnt = 0;     
    b = 7;             
	data = 0;
	
	while (feof(fi) == 0) {
		fscanf(fi, "%c", &ch);
		if ((ch == '0') || (ch == '1')) {
			data = data | ((ch-48) << b);
			if (b == 0) {  
	        	fwrite(&data, 1, 1, fo);
				data = 0;
				b = 8;
			}		
			b--;
		}
	}
	
//	printf("done\n\n");

	fclose(fi);
	fclose(fo);
  } else
  	printf("Usage: bit2bin <file.bit> <file.bin>\n\n");   

    return 0;
}

