onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -format Logic /tb_controller/clk
add wave -noupdate -format Logic /tb_controller/rst
add wave -noupdate -divider FLASH
add wave -noupdate -format Literal -radix hexadecimal /tb_controller/flash_addr
add wave -noupdate -format Literal -radix hexadecimal /tb_controller/flash_data
# add wave -noupdate -format Literal -radix hexadecimal /tb_controller/flash_wdata
# add wave -noupdate -format Literal /tb_controller/flash_en
# add wave -noupdate -format Literal /tb_controller/flash_we
# add wave -noupdate -format Literal /tb_controller/flash_oe
add wave -noupdate -divider RAM
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_ram/addr
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_ram/data_in
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_ram/data_out
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_ram/we
add wave -noupdate -divider {MP3 chip}
add wave -noupdate -format Logic /tb_controller/mp3_rst
add wave -noupdate -format Logic /tb_controller/mp3_data
add wave -noupdate -format Logic /tb_controller/mp3_valid
add wave -noupdate -format Logic /tb_controller/mp3_req
add wave -noupdate -divider SPI
add wave -noupdate -format Logic /tb_controller/spi_cs
add wave -noupdate -format Logic /tb_controller/spi_din
add wave -noupdate -format Logic /tb_controller/spi_sclk
add wave -noupdate -divider UART
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/uarti
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/uarto
add wave -noupdate -format Logic /tb_controller/rxd
add wave -noupdate -format Logic /tb_controller/txd
add wave -noupdate -divider Buttons
add wave -noupdate -format Logic /tb_controller/button_play
add wave -noupdate -format Logic /tb_controller/button_stop
add wave -noupdate -format Logic /tb_controller/button_prev
add wave -noupdate -format Logic /tb_controller/button_next
add wave -noupdate -divider Clock
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_clock/rst
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_clock/hold
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_clock/read
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_clock/seconds
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_clock/minutes
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_clock/hours
add wave -noupdate -divider CPU
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_cpu/clk
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_cpu/halt
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_cpu/reset
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_cpu/irq_in
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_cpu/nmi_in
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_cpu/addr_pin
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_cpu/we_pin
add wave -noupdate -format Logic /tb_controller/ctrl/ctrl/mr_cpu/rd_pin
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_cpu/din
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_cpu/dout
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_cpu/reg_pc_out
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_cpu/reg_a_out
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_cpu/reg_x_out
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_cpu/reg_y_out
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_cpu/reg_sr_out
add wave -noupdate -format Logic -radix hexadecimal /tb_controller/ctrl/ctrl/mr_cpu/reg_sp_out
add wave -noupdate -divider OTHER_SIGNALS
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {0 ns}
WaveRestoreZoom {190912 ns} {200479 ns}
configure wave -namecolwidth 220
configure wave -valuecolwidth 83
configure wave -justifyvalue left
configure wave -signalnamewidth 2
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
force -freeze sim:/tb_controller/button_play 0 0
force -freeze sim:/tb_controller/button_stop 0 0
force -freeze sim:/tb_controller/button_prev 0 0
force -freeze sim:/tb_controller/button_next 0 0
