onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -format Logic /tb_mmu/clk
add wave -noupdate -format Logic /tb_mmu/cpu_clk
add wave -noupdate -format Logic /tb_mmu/rst
add wave -noupdate -divider CPU_LINES
add wave -noupdate -format Logic /tb_mmu/halt
add wave -noupdate -format Logic -radix hexadecimal /tb_mmu/cpu_addr
add wave -noupdate -format Logic -radix hexadecimal /tb_mmu/cpu_in
add wave -noupdate -format Logic -radix hexadecimal /tb_mmu/cpu_out
add wave -noupdate -format Logic /tb_mmu/cpu_re
add wave -noupdate -format Logic /tb_mmu/cpu_we
add wave -noupdate -divider RAM_LINES
add wave -noupdate -format Logic -radix hexadecimal /tb_mmu/ram_data_in
add wave -noupdate -format Logic -radix hexadecimal /tb_mmu/ram_data_out
add wave -noupdate -format Logic /tb_mmu/ram_we
add wave -noupdate -divider FLASH_LINES
add wave -noupdate -format Logic -radix hexadecimal /tb_mmu/flashi
add wave -noupdate -format Logic -radix hexadecimal /tb_mmu/flasho
add wave -noupdate -divider LCD_UART_LINES
add wave -noupdate -format Logic /tb_mmu/uarti
add wave -noupdate -format Logic /tb_mmu/uarto
add wave -noupdate -divider CLOCK_LINES
add wave -noupdate -format Logic /tb_mmu/clock_rst
add wave -noupdate -format Logic /tb_mmu/clock_hold
add wave -noupdate -format Logic /tb_mmu/clock_read
add wave -noupdate -format Logic /tb_mmu/clock_seconds
add wave -noupdate -format Logic /tb_mmu/clock_minutes
add wave -noupdate -format Logic /tb_mmu/clock_hours
add wave -noupdate -divider OTHER_LINES
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {0 ns}
WaveRestoreZoom {190912 ns} {200479 ns}
configure wave -namecolwidth 220
configure wave -valuecolwidth 83
configure wave -justifyvalue left
configure wave -signalnamewidth 2
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
