library IEEE;
use IEEE.std_logic_1164.all;

entity clock_generator is
  generic( PERIOD : time );
  port( CLK : out std_logic );
end;

architecture behavioral of clock_generator is
begin
  
  process
    variable HALF_PERIOD : time;
  begin
    HALF_PERIOD := PERIOD / 2;
    
    loop
      CLK <= '1';
      wait for HALF_PERIOD;
      CLK <= '0';
      wait for HALF_PERIOD;
    end loop;
  end process;
  
end;
